.shopping-cart {
    width: 500px;
    height: 100%;
    padding: 36px;
    display: flex;
    overflow: auto;
    flex-direction: column;
    background-color: var(--white);
    justify-content: space-between;
}

.shopping-cart .cart-top-container {
    display: flex;
    justify-content: space-between;
}

.shopping-cart .cart-top-container .cart-top-left {
    gap: 15px;
    display: flex;
}

.shopping-cart .cart-top-container .cart-top-left .cart-back-btn {
    cursor: pointer;
    font-size: 36px;
    text-align: center;
    line-height: 40px;
    padding: 4px 14px 0;
    color: var(--black);
    font-family: "Bebas Neue700";
    background: var(--Olerex-main);
}

.shopping-cart .cart-top-container .cart-title {
    font-size: 40px;
    line-height: 40px;
    color: var(--black);
    font-family: "Bebas Neue500";
}

.shopping-cart .cart-top-container .cart-discount-card-container {
    gap: 12px;
    width: 170px;
    display: flex;
    align-items: center;
}

.shopping-cart .cart-top-container .cart-discount-card-container img {
    width: 52px;
    height: 32px;
}

.shopping-cart .cart-top-container .cart-discount-card-container .text {
    font-size: 20px;
    line-height: 20px;
    font-family: "Bebas Neue700";
    color: var(--text-2);
}

.shopping-cart .cart-no-items-selected {
    display: flex;
    font-size: 64px;
    padding: 0 33px;
    line-height: 64px;
    text-align: center;
    font-family: "Bebas Neue500";
    color: var(--black);
}

.shopping-cart .cart-items-wrapper {
    flex: 1;
    margin: 20px 0;
    display: flex;
    overflow: auto;
    flex-direction: column;
    justify-content: space-between;
}

.shopping-cart .cart-items-wrapper .cart-items-container {
    gap: 20px;
    display: flex;
    overflow: auto;
    flex-direction: column;
}

.shopping-cart .cart-items-wrapper .cart-item {
    gap: 10px;
    display: flex;
    flex-direction: row;
    padding-bottom: 10px;
    justify-content: space-between;
    border-bottom: 1px solid var(--stroke);
}

.shopping-cart .cart-items-wrapper .left-side {
    gap: 8px;
    display: flex;
    flex-direction: row;
}

.shopping-cart .cart-items-wrapper .left-side .item-qty {
    display: flex;
    color: var(--text-3);
    align-items: center;
    align-self: flex-start;
    font-family: "Bebas Neue700";
}

.shopping-cart .cart-items-wrapper .left-side .item-qty .text {
    font-size: 18px;
}

.shopping-cart .cart-items-wrapper .left-side .item-qty .number {
    font-size: 24px;
}

.shopping-cart .cart-items-wrapper .left-side .item-texts {
    flex: 1;
}

.shopping-cart .cart-items-wrapper .item-name {
    color: var(--black);
    font-family: "Bebas Neue700";
    font-size: 24px;
}

.shopping-cart .cart-items-wrapper .item-additional-text {
}

.shopping-cart .cart-items-wrapper .right-side {
    gap: 15px;
    display: flex;
    padding-top: 6px;
    flex-direction: row;
    align-self: flex-start;
}

.shopping-cart .cart-items-wrapper .item-prices {
    gap: 12px;
    display: flex;
    align-items: center;
}

.shopping-cart .cart-items-wrapper .price {
    color: var(--black);
    font-family: "Bebas Neue700";
    font-size: 24px;
    line-height: 24px;
    white-space: nowrap;
}

.shopping-cart .cart-items-wrapper .cart-item[data-has_discount="1"] .price {
    color: var(--text-3);
    text-align: right;
    font-family: "Bebas Neue700";
    font-size: 22px;
    line-height: 22px;
    margin-bottom: -4px;
    text-decoration-line: line-through;
}

.shopping-cart .cart-items-wrapper .price-discounted {
    color: var(--black);
    text-align: right;
    font-family: "Bebas Neue700";
    font-size: 22px;
    line-height: 22px;
    white-space: nowrap;


    gap: 8px;
    display: flex;
    border-radius: 2px;
    align-items: flex-start;
    padding: 4px 4px 0 4px;
    background: var(--Olerex-main);
}

.shopping-cart .cart-items-wrapper .remove-row-btn {
    cursor: pointer;
}

.shopping-cart .cart-items-wrapper .cart-totals {
    gap: 12px;
    display: flex;
    margin-top: 10px;
    flex-direction: column;
}

.shopping-cart .cart-items-wrapper .cart-totals .total-row {
    display: flex;
    align-self: stretch;
    align-items: center;
    justify-content: space-between;
    padding-bottom: 14px;
    border-bottom: 1px solid var(--stroke);
}

.shopping-cart .cart-items-wrapper .cart-totals .total-row .text {
    color: var(--black);
    font-family: "Bebas Neue700";
    font-size: 20px;
    line-height: 20px;
}

.shopping-cart .cart-items-wrapper .cart-totals .total-row .value {
    color: var(--black);
    font-family: "Bebas Neue700";
    font-size: 20px;
    line-height: 20px;
}

.shopping-cart .cart-select-payment-btn {
    color: #000;

    text-align: center;
    font-family: "Bebas Neue700";
    font-size: 36px;
    line-height: 36px;

    display: flex;
    padding: 16px 0px 12px 0px;
    justify-content: center;
    align-items: center;

    cursor: pointer;
    border-radius: 2px;
    background: var(--Olerex-main);
}

.shopping-cart-payment-methods {
    gap: 24px;
    display: flex;
    flex-direction: row;
}

.shopping-cart-payment-methods .payment-method {
    flex: 1;
    display: flex;
    cursor: pointer;
    border-radius: 2px;
    align-items: center;
    justify-content: center;
    padding: 52px 14px 52px 14px;
    background: var(--white);
    box-shadow: 0px 7px 10px 0px rgba(0, 0, 0, 0.07);

    text-align: center;
    font-size: 36px;
    line-height: 40px;
    color: var(--black);
    font-family: "Bebas Neue700";
}

#payment-methods-modal .modal-content {
    border: none;
    background: transparent;
}

#payment-methods-modal .modal-body {
    gap: 120px;
    display: flex;
    flex-direction: column;
}

#payment-methods-modal .shopping-cart-hide-methods-btn {
    width: 100%;
    display: flex;
    max-width: 400px;
    align-self: center;
    border-radius: 2px;
    align-items: center;
    padding: 16px 0 12px;
    justify-content: center;
    background: var(--Olerex-main);
    box-shadow: 0 7px 10px 0 rgba(0, 0, 0, 0.07);

    color: var(--black);
    font-size: 36px;
    line-height: 36px;
    font-family: "Bebas Neue700";
}
